function TestAddon(ui)
{
	this.ui = ui;
	this.ui.label.text = "TestAddon constructor called successfully !";
// 	Connecting signals :
	this.ui.pushButton.clicked.connect(this,this.pushButtonClicked);
}

function Init()
{
	this.ui.label.text = "TestAddon::Init function called";
	this.ui.show();
}

TestAddon.prototype.pushButtonClicked = function(){
	if( this.ui.label.text == "Push button clicked !" ){
		this.ui.label.text = "Reset label.";
	}
	else{
		this.ui.label.text = "Push button clicked !";
	}
}

